[Rubygems-developers] Problem with requests for the rails 2.0.2 activesupport gem

Luis Lavena luislavena at gmail.com
Wed Dec 19 23:04:21 EST 2007


On Dec 20, 2007 1:00 AM, Tom Copeland <tom at infoether.com> wrote:
> Hi guys -
>
> I'm seeing some odd requests for the activesupport-2.0.2 gem in the
> gems.rubyforge.org vhost log:
>
> =================
> gems.rubyforge.org 203.174.47.190 - - [19/Dec/2007:22:51:55 -0500]
> "GET /gems/activesupport-2.0.2-.gem HTTP/1.1" 302 244 "-"
> "RubyGems/0.9.4"
> =================
>
> Note that there's a "-" right before the ".gem" suffix.  This request
> gets routed off to a mirror and of course fails.
>
> This seems to be happening with various gem client versions - 0.9.4,
> 0.9.2, and 0.9.0.  I'm not seeing it with 0.9.5, though, which is
> nice.
>
> Any ideas?  I wonder if the gem is being built with a version of
> RubyGems that's somehow creating something that older gem client
> versions can't read, perhaps?
>

That was a problem with platform part of the spec being empty.

gem install report it "()"

This was reported to Rails devs:
http://weblog.rubyonrails.org/2007/12/19/trouble-installing-new-gems

And there is a fix on trunk for 2.0.3

Also, future version of 0.9.5 (hope 1.0) of RubyGems solve this.

PS: did you got my email about fastthread gem?
-- 
Luis Lavena
Multimedia systems
-
A common mistake that people make when trying to design
something completely foolproof is to underestimate
the ingenuity of complete fools.
Douglas Adams


More information about the Rubygems-developers mailing list